<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>SI-BKD Pelaporan BKD</title>
</head>
<body>
<div layout:fragment="main" class="container">
  <form method="get">
  <div class="row mb-4">
    <H3 class="text-black mb-5"><i class="fa-solid fa-flag" style="color: #d3b30d"></i> Daftar Pelaporan BKD</H3>
    <div class="col-md-2">
      <select class="form-select" id="selectStatus" name="selectStatus" aria-label="Default select example" >
        <option th:value="${null}">Semua</option>
        <option th:value="${'BA'}">Belum ada Asesor</option>
        <option th:value="${'BI'}">Belum ada Item</option>
        <option th:value="${'BS'}">Belum selesai</option>
        <option th:value="${'SE'}">Selesai</option>
        <option th:selected="${selectStatus}" th:value="${selectStatus}">
          <span th:if="${selectStatus == 'BA'}" th:text="${'Belum ada Asesor'}"></span>
          <span th:if="${selectStatus == 'BI'}" th:text="${'Belum ada Item'}"></span>
          <span th:if="${selectStatus == 'BS'}" th:text="${'Belum selesai'}"></span>
          <span th:if="${selectStatus == 'SE'}" th:text="${'Selesai'}"></span>
          <span th:if="${selectStatus == null}" th:text="${'Semua'}"></span>
        </option>
      </select>
    </div>
    <div class="col-md-9">
      <input type="text" class="form-control" name="search" th:value="${search}" placeholder="Cari berdasarkan nama atau perguruan tinggi">
    </div>
    <div class="col-md-1 d-grid gap-2">
      <button type="submit" class="btn btn-success">Cari</button>
    </div>
  </div>
  </form>
  <div class="row mb-4">
    <div class="col-md-12">
      <table class="table table-bordered table-responsive mb-4">
        <thead class="table-dark bg-success border-white align-middle text-center" style="--bs-table-bg:bg-success;">
        <tr class="align-middle text-center">
          <th>No.</th>
          <th>Nama Dosen</th>
          <th>Perguruan Tinggi</th>
          <th>Asesor</th>
          <th>Status</th>
          <th colspan="3">Aksi</th>
        </tr>
        </thead>
        <tbody th:each="data,row : ${pelaporanBkd}">
        <tr class="align-middle">
          <td class="text-end" th:text="${(row.index + 1)}"></td>
          <td th:text="${data.getNama()}"></td>
          <td th:text="${data.getPerguruanTinggi()}"></td>
          <td>
            <span th:text="${data.getAsesorSatu()}"></span>
            <br>
            <span th:text="${data.getAsesorDua()}"></span>
          </td>
          <td>
            <div th:if="${data.getStatus() == 'BS'}" class="bg-warning border border-warning border-start-0 border-end-0" align="center">
              <span class="text-white">Belum Selesai</span>
            </div>
            <div th:if="${data.getStatus() == 'BI'}" class="bg-secondary border border-secondary border-start-0 border-end-0" align="center">
              <span class="text-white">Belum ada item</span>
            </div>
            <div th:if="${data.getStatus() == 'BA'}" class="bg-danger border border-danger border-start-0 border-end-0" align="center">
              <span class="text-white">Belum Ada Asesor</span>
            </div>
            <div th:if="${data.getStatus() == 'SE'}" class="bg-success border border-success border-start-0 border-end-0" align="center">
              <span class="text-white">Selesai</span>
            </div>
          </td>
          <td width="10px">
            <a th:if="${data.getStatus() == 'SE' || data.getStatus() == 'BS'}" th:href="@{/pelaporan_bkd/pelaporanDetail(dosen = ${data.getId()})}" class="btn btn-primary">Detail</a>
            <button th:if="${data.getStatus() == 'BA' || data.getStatus() == 'BI'}" class="btn btn-secondary" value="Tidak Aktif">Detail</button>

          </td>
          <td width="10px">
            <a class="btn btn-info" th:href="@{/pelaporanBkd/remind(dosen = ${data.getId()}, status = ${data.getStatus()})}">Remind</a>
          </td>
          <td width="10px">
            <a th:if="${data.getStatus() == 'SE'}" class="btn btn-success" th:href="@{/pelaporan_bkd/download(dosen=${data.getId()},semester=${semester.getId()})}">Export</a>
            <a th:if="${data.getStatus() != 'SE'}" class="btn btn-secondary"  >Export</a>
          </td>
        </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>
</body>
</html>